## tachyon 0.99~b6+dsx

=== unix/Makefile ===
# Makefile for the Tachyon parallel ray tracing library.
# Copyright 1994-2011 John E. Stone
# All Rights Reserved
#
# $Id: Makefile,v 1.105 2011/02/07 07:46:03 johns Exp $
#

#.SILENT:

#
# Include the machine dependent compilation flags etc.
#
include Make-opengl
include Make-config
include Make-arch
include Make-distrib

COMPILEDIR=../compile
ARCHDIR=../compile/${ARCH}
OBJDIR=${ARCHDIR}/libtachyon

#
# Name of raytracing library file to create
#
RAYLIB=${ARCHDIR}/libtachyon.a
RAYLIBDIR=${ARCHDIR}

#
# Extra parsers and such
#
PARSEOBJS = ${OBJDIR}/mgfparse.o ${OBJDIR}/ac3dparse.o 
PARSEINC  = ${MGFINC}
PARSEDIRS = ${MGFDIR}
PARSELIBS = ${MGFLIB} 

#
# Miscellaneous object files etc.
#
MISC= ${OBJDIR}/mainanim.o \
	${OBJDIR}/animspheres.o \
	${OBJDIR}/animspheres \
	${OBJDIR}/animspheres2.o \
	${OBJDIR}/animskull.o \
	${OBJDIR}/animskull \
	${OBJDIR}/animspheres2 \
	${OBJDIR}/fire.o \
	${OBJDIR}/fire \
	${OBJDIR}/hypertex.o \
	${OBJDIR}/hypertex \
	${OBJDIR}/tgatoyuv \
	${OBJDIR}/tachyon \
	${OBJDIR}/animray \
	${OBJDIR}/main.o \
	${OBJDIR}/spaceball.o \
	${OBJDIR}/trackball.o \
	${OBJDIR}/getargs.o \
	${OBJDIR}/parse.o \
	${OBJDIR}/nffparse.o \
	${OBJDIR}/glwin.o

#
# Test programs included..
#
#BINARIES = ${COMPILEDIR} ${ARCHDIR} ${OBJDIR} ${PARSEDIRS} \
#	${RAYLIB} ${PARSELIB} ${ARCHDIR}/tachyon \
#	${ARCHDIR}/fire ${ARCHDIR}/hypertex ${ARCHDIR}/tgatoyuv \
#	${ARCHDIR}/animray ${ARCHDIR}/animspheres ${ARCHDIR}/animskull \
#	${ARCHDIR}/animspheres2

#
# No test programs included..
#
BINARIES = ${COMPILEDIR} ${ARCHDIR} ${OBJDIR} ${PARSEDIRS} \
	${RAYLIB} ${PARSELIB} ${ARCHDIR}/tachyon


#----------------------------------------------------------------------
# Demo Programs etc
#----------------------------------------------------------------------

DEMOINC= -I${SRCDIR} -I${DEMOSRC}

all : mesg directories 
	${MAKE} ${BINARIES}
	@echo ""
	@echo "Build Complete"

directories :
	@if [ ! -d ${COMPILEDIR} ] ; then \
		echo "Making compile directory ${COMPILEDIR}"; \
		mkdir ${COMPILEDIR}; \
	fi; 
	@if [ ! -d ${ARCHDIR} ] ; then \
		echo "Making architecture directory ${ARCHDIR}"; \
		mkdir ${ARCHDIR}; \
	fi; 
	@if [ ! -d ${OBJDIR} ] ; then \
		echo "Making library directory ${OBJDIR}"; \
		mkdir ${OBJDIR}; \
	fi; 
	

mesg : 
	@echo "Building Tachyon Parallel Ray Tracing library"
	@echo "Copyright 1994-2007, John E. Stone"
	@echo "All Rights Reserveed"

${MGFDIR} : ${ARCHDIR}
	@if [ ! -d ${MGFDIR} ] ; then \
		echo "Making libmgf directory ${MGFDIR}"; \
		mkdir ${MGFDIR}; \
	fi; 

#
# MGF Library compilation
#
${MGFLIB} : ../libmgf/Makefile
	{cd ../libmgf; \
	${MAKE} -f Makefile RANLIB=${RANLIB} MGFLIBDIR=${MGFLIBDIR} \
	MGFLIB=${MGFLIB} AR=${AR} ARFLAGS=${ARFLAGS} \
	};

${ARCHDIR}/tachyon : ${RAYLIB} ${PARSELIB} ${OBJDIR}/main.o ${OBJDIR}/getargs.o ${OBJDIR}/parse.o ${OBJDIR}/nffparse.o ${OBJDIR}/glwin.o ${OBJDIR}/spaceball.o ${OBJDIR}/trackball.o ${PARSEOBJS} 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/tachyon ${OBJDIR}/main.o ${OBJDIR}/getargs.o ${OBJDIR}/parse.o ${OBJDIR}/nffparse.o ${OBJDIR}/glwin.o ${OBJDIR}/spaceball.o ${OBJDIR}/trackball.o ${PARSEOBJS} -L${RAYLIBDIR} ${PARSELIBS} ${LIBS}
	${STRIP} ${ARCHDIR}/tachyon

${ARCHDIR}/animray : ${RAYLIB} ${OBJDIR}/mainanim.o
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animray ${OBJDIR}/mainanim.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animray 

${ARCHDIR}/animspheres : ${RAYLIB} ${OBJDIR}/animspheres.o ${OBJDIR}/glwin.o
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animspheres ${OBJDIR}/animspheres.o ${OBJDIR}/glwin.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animspheres

${ARCHDIR}/animspheres2 : ${RAYLIB} ${OBJDIR}/animspheres2.o ${OBJDIR}/glwin.o
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animspheres2 ${OBJDIR}/animspheres2.o ${OBJDIR}/glwin.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animspheres2

${ARCHDIR}/hypertex : ${RAYLIB} ${OBJDIR}/hypertex.o ${DEMOSRC}/hypertex.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/hypertex ${OBJDIR}/hypertex.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/hypertex 

${ARCHDIR}/fire : ${RAYLIB} ${OBJDIR}/fire.o ${DEMOSRC}/fire.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/fire ${OBJDIR}/fire.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/fire

${ARCHDIR}/animskull : ${RAYLIB} ${OBJDIR}/animskull.o 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animskull ${OBJDIR}/animskull.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animskull

${ARCHDIR}/tgatoyuv : ${RAYLIB} ${DEMOSRC}/tgatoyuv.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/tgatoyuv ${DEMOSRC}/tgatoyuv.c -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/tgatoyuv

#
# Rules for building demo .o files
#

${OBJDIR}/animskull.o : ${DEMOSRC}/animskull.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animskull.c -o ${OBJDIR}/animskull.o

${OBJDIR}/hypertex.o : ${DEMOSRC}/hypertex.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/hypertex.c -o ${OBJDIR}/hypertex.o

${OBJDIR}/fire.o : ${DEMOSRC}/fire.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/fire.c -o ${OBJDIR}/fire.o

${OBJDIR}/mainanim.o : ${DEMOSRC}/mainanim.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/mainanim.c -o ${OBJDIR}/mainanim.o

${OBJDIR}/main.o : ${DEMOSRC}/main.c ${DEMOSRC}/getargs.h ${DEMOSRC}/parse.h ${DEMOSRC}/nffparse.h ${DEMOSRC}/ac3dparse.h ${DEMOSRC}/glwin.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/main.c -o ${OBJDIR}/main.o

${OBJDIR}/getargs.o : ${DEMOSRC}/getargs.c ${DEMOSRC}/getargs.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/getargs.c -o ${OBJDIR}/getargs.o

${OBJDIR}/glwin.o : ${DEMOSRC}/glwin.c ${DEMOSRC}/glwin.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/glwin.c -o ${OBJDIR}/glwin.o

${OBJDIR}/spaceball.o : ${DEMOSRC}/spaceball.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/spaceball.c -o ${OBJDIR}/spaceball.o

${OBJDIR}/trackball.o : ${DEMOSRC}/trackball.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/trackball.c -o ${OBJDIR}/trackball.o

${OBJDIR}/animspheres.o : ${DEMOSRC}/animspheres.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animspheres.c -o ${OBJDIR}/animspheres.o

${OBJDIR}/animspheres2.o : ${DEMOSRC}/animspheres2.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animspheres2.c -o ${OBJDIR}/animspheres2.o

${OBJDIR}/parse.o : ${DEMOSRC}/parse.c ${DEMOSRC}/parse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/parse.c -o ${OBJDIR}/parse.o

${OBJDIR}/mgfparse.o : ${DEMOSRC}/mgfparse.c ${DEMOSRC}/mgfparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} ${MGFINC} -c ${DEMOSRC}/mgfparse.c -o ${OBJDIR}/mgfparse.o

${OBJDIR}/nffparse.o : ${DEMOSRC}/nffparse.c ${DEMOSRC}/nffparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/nffparse.c -o ${OBJDIR}/nffparse.o

${OBJDIR}/ac3dparse.o : ${DEMOSRC}/ac3dparse.c ${DEMOSRC}/ac3dparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/ac3dparse.c -o ${OBJDIR}/ac3dparse.o

#----------------------------------------------------------------------
# End of demo programs
#----------------------------------------------------------------------

OBJDEPS= ${SRCDIR}/tachyon.h \
	${SRCDIR}/hash.h \
	${SRCDIR}/macros.h \
	${SRCDIR}/render.h \
	${SRCDIR}/quadric.h \
	${SRCDIR}/texture.h \
	${SRCDIR}/light.h \
	${SRCDIR}/util.h

RAYOBJS= ${OBJDIR}/api.o \
	${OBJDIR}/apigeom.o \
	${OBJDIR}/box.o \
	${OBJDIR}/global.o \
	${OBJDIR}/hash.o \
	${OBJDIR}/parallel.o \
	${OBJDIR}/threads.o \
	${OBJDIR}/camera.o \
	${OBJDIR}/render.o \
	${OBJDIR}/trace.o \
	${OBJDIR}/grid.o \
	${OBJDIR}/intersect.o \
	${OBJDIR}/sphere.o \
	${OBJDIR}/plane.o \
	${OBJDIR}/ring.o \
	${OBJDIR}/triangle.o \
	${OBJDIR}/cylinder.o \
	${OBJDIR}/quadric.o \
	${OBJDIR}/extvol.o \
	${OBJDIR}/vol.o \
	${OBJDIR}/ui.o \
	${OBJDIR}/util.o \
	${OBJDIR}/vector.o \
	${OBJDIR}/shade.o \
	${OBJDIR}/texture.o \
	${OBJDIR}/coordsys.o \
	${OBJDIR}/imap.o \
	${OBJDIR}/light.o \
	${OBJDIR}/imageio.o \
	${OBJDIR}/jpeg.o \
	${OBJDIR}/pngfile.o \
	${OBJDIR}/ppm.o \
	${OBJDIR}/psd.o \
	${OBJDIR}/sgirgb.o \
	${OBJDIR}/tgafile.o \
	${OBJDIR}/winbmp.o

${RAYLIB} : ${RAYOBJS}
	rm -f ${RAYLIB}
	${AR} ${ARFLAGS} ${RAYLIB} ${RAYOBJS}
	${RANLIB} ${RAYLIB}

${OBJDIR}/vol.o : ${SRCDIR}/vol.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/vol.c -o ${OBJDIR}/vol.o

${OBJDIR}/extvol.o : ${SRCDIR}/extvol.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/extvol.c -o ${OBJDIR}/extvol.o

${OBJDIR}/winbmp.o : ${SRCDIR}/winbmp.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/winbmp.c -o ${OBJDIR}/winbmp.o

${OBJDIR}/vector.o : ${SRCDIR}/vector.c ${OBJDEPS} 
	${CC} ${CFLAGS} -c ${SRCDIR}/vector.c -o ${OBJDIR}/vector.o

${OBJDIR}/triangle.o : ${SRCDIR}/triangle.c ${OBJDEPS} ${SRCDIR}/triangle.h
	${CC} ${CFLAGS} -c ${SRCDIR}/triangle.c -o ${OBJDIR}/triangle.o

${OBJDIR}/trace.o : ${SRCDIR}/trace.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/trace.c -o ${OBJDIR}/trace.o

${OBJDIR}/threads.o : ${SRCDIR}/threads.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/threads.c -o ${OBJDIR}/threads.o

${OBJDIR}/tgafile.o : ${SRCDIR}/tgafile.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/tgafile.c -o ${OBJDIR}/tgafile.o

${OBJDIR}/util.o : ${SRCDIR}/util.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/util.c -o ${OBJDIR}/util.o

${OBJDIR}/ui.o : ${SRCDIR}/ui.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ui.c -o ${OBJDIR}/ui.o

${OBJDIR}/texture.o : ${SRCDIR}/texture.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/texture.c -o ${OBJDIR}/texture.o

${OBJDIR}/sphere.o : ${SRCDIR}/sphere.c ${OBJDEPS} ${SRCDIR}/sphere.h
	${CC} ${CFLAGS} -c ${SRCDIR}/sphere.c -o ${OBJDIR}/sphere.o

${OBJDIR}/sgirgb.o : ${SRCDIR}/sgirgb.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/sgirgb.c -o ${OBJDIR}/sgirgb.o

${OBJDIR}/shade.o : ${SRCDIR}/shade.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/shade.c -o ${OBJDIR}/shade.o

${OBJDIR}/ring.o : ${SRCDIR}/ring.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ring.c -o ${OBJDIR}/ring.o

${OBJDIR}/render.o : ${SRCDIR}/render.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/render.c -o ${OBJDIR}/render.o

${OBJDIR}/quadric.o : ${SRCDIR}/quadric.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/quadric.c -o ${OBJDIR}/quadric.o

${OBJDIR}/jpeg.o : ${SRCDIR}/jpeg.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/jpeg.c -o ${OBJDIR}/jpeg.o

${OBJDIR}/pngfile.o : ${SRCDIR}/pngfile.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/pngfile.c -o ${OBJDIR}/pngfile.o

${OBJDIR}/ppm.o : ${SRCDIR}/ppm.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ppm.c -o ${OBJDIR}/ppm.o

${OBJDIR}/psd.o : ${SRCDIR}/psd.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/psd.c -o ${OBJDIR}/psd.o

${OBJDIR}/plane.o : ${SRCDIR}/plane.c ${OBJDEPS} ${SRCDIR}/plane.h
	${CC} ${CFLAGS} -c ${SRCDIR}/plane.c -o ${OBJDIR}/plane.o

${OBJDIR}/parallel.o : ${SRCDIR}/parallel.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/parallel.c -o ${OBJDIR}/parallel.o

${OBJDIR}/objbound.o : ${SRCDIR}/objbound.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/objbound.c -o ${OBJDIR}/objbound.o

${OBJDIR}/light.o : ${SRCDIR}/light.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/light.c -o ${OBJDIR}/light.o

${OBJDIR}/intersect.o : ${SRCDIR}/intersect.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/intersect.c -o ${OBJDIR}/intersect.o

${OBJDIR}/imageio.o : ${SRCDIR}/imageio.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/imageio.c -o ${OBJDIR}/imageio.o

${OBJDIR}/imap.o : ${SRCDIR}/imap.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/imap.c -o ${OBJDIR}/imap.o

${OBJDIR}/grid.o : ${SRCDIR}/grid.c ${SRCDIR}/grid.h ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/grid.c -o ${OBJDIR}/grid.o

${OBJDIR}/global.o : ${SRCDIR}/global.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/global.c -o ${OBJDIR}/global.o

${OBJDIR}/hash.o : ${SRCDIR}/hash.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/hash.c -o ${OBJDIR}/hash.o

${OBJDIR}/cylinder.o : ${SRCDIR}/cylinder.c ${OBJDEPS} ${SRCDIR}/cylinder.h
	${CC} ${CFLAGS} -c ${SRCDIR}/cylinder.c -o ${OBJDIR}/cylinder.o

${OBJDIR}/coordsys.o : ${SRCDIR}/coordsys.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/coordsys.c -o ${OBJDIR}/coordsys.o

${OBJDIR}/camera.o : ${SRCDIR}/camera.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/camera.c -o ${OBJDIR}/camera.o

${OBJDIR}/box.o : ${SRCDIR}/box.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/box.c -o ${OBJDIR}/box.o

=== debian/changelog ===
tachyon (0.99~b6+dsx-9) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Change priority extra to optional.

  [ Jerome Benoit ]
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - Comment field, add;
      - Copyright fields, refresh;
    - debian/templates/control.in:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.3.0 (no change);
      - Vcs-* fields, migration to salsa;
      - Priority fields, update;
    - debian/rules:
      - include pkg-info.mk;
      - percent target, discard --parallel option;
      - get-orig-source target, remove;
    - debian/clean, harden;
    - debian/source/*:
      - d/s/lintian-overrides, refresh;
      - d/s/options, remove;
    - debian/tachyon-doc.{doc-base,links}.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Dec 2018 16:04:14 +0000

=== debian/control ===
Source: tachyon
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 11),
 autoconf-archive, gnulib, libtool,
 pkg-config, help2man,
 mpi-default-dev (>= 1.6), libopenmpi-dev, libmpich-dev,
 libjpeg-dev, libpng-dev,
 libgl1-mesa-dev | libgl-dev
Build-Conflicts:
 glx-diversions
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-science, texlive-humanities,
 latex2html,
 rdfind, symlinks
Standards-Version: 4.3.0
Homepage: http://jedi.ks.uiuc.edu/~johns/raytracer/
Vcs-Git: https://salsa.debian.org/science-team/tachyon.git
Vcs-Browser: https://salsa.debian.org/science-team/tachyon

Package: libtachyon-serial-0
Provides: libtachyon
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - serial flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built for serial platforms.
 To compile your own programs you also need to install the concomitant
 libtachyon-serial-0-dev package.

Package: libtachyon-serial-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-serial-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - serial flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built for serial
 platforms.

Package: libtachyon-mt-0
Provides: libtachyon
Replaces: libtachyon-0.99
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - MT flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built with multithreading.
 To compile your own programs you also need to install the concomitant
 libtachyon-mt-0-dev package.

Package: libtachyon-mt-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-mt-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - MT flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built with
 multithreading will need.

Package: libtachyon-openmpi-0
Provides: libtachyon
Section: libs
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - OpenMPI flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built against OpenMPI.
 To compile your own programs you also need to install the concomitant
 libtachyon-openmpi-0-dev package.

Package: libtachyon-openmpi-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-openmpi-0 (= ${binary:Version}), libopenmpi-dev, ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - OpenMPI flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built against
 OpenMPI will need.

Package: libtachyon-mpich-0
Provides: libtachyon
Section: libs
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc ppc64 ppc64el s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - MPICH flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built against MPICH.
 To compile your own programs you also need to install the concomitant
 libtachyon-mpich-0-dev package.

Package: libtachyon-mpich-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc ppc64 ppc64el s390x sh4 sparc64 x32
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-mpich-0 (= ${binary:Version}), libmpich-dev, ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - MPICH flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built against
 MPICH will need.

Package: libtachyon-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Suggests: libtachyon-dev
Multi-Arch: foreign
Description: Parallel/Multiprocessor Ray Tracing Library - development - common material
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the header files that third party developers
 using the tachyon C library will need.

Package: libtachyon-mpi-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: ${default:libtachyon-mpi-dev}, mpi-default-dev, ${misc:Depends}
Description: Parallel/Multiprocessor Ray Tracing Library - development - default MPI flavour
 Tachyon is a portable, high performance parallel ray tracing system

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PKG_VERSION = $(DEB_VERSION)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(wildcard src/Makefile.am))
DEB_PKG_LT_VERSION = $(shell sed -n -e '/^LIBTACHYON_LT_VERSION/s/LIBTACHYON_LT_VERSION[\t ]*=[\t ]*\([0-9]*:[0-9]*:[0-9]*\)[\t ]*$$/\1/p' src/Makefile.am)
else
DEB_PKG_LT_VERSION = 0
endif

DEB_VIRT_LIBTACHYON_LISTOF_VARIANT = serial mt-openmp mt-thr openmpi-openmp openmpi-thr openmpi mpich-openmp mpich-thr mpich
DEB_VIRT_LIBTACHYON_VARIANT_LISTOF_DHFILE = .symbols .install -dev.install
DEB_VIRT_LIBTACHYON_FLAVOUR_LISTOF_DHFILE = \
	$(DEB_VIRT_LIBTACHYON_VARIANT_LISTOF_DHFILE) .lintian-overrides .postinst .prerm -dev.postinst -dev.prerm -dev.maintscript
DEB_VIRT_TACHYON_LISTOF_VARIANT = nox ogl
DEB_VIRT_TACHYON_LISTOF_DHFILE = .install .manpages .postinst .prerm

# deduced variables
DEB_PKG_LT_CURRENT  := $(word 1, $(subst :, $(EMPTY), $(DEB_PKG_LT_VERSION)))
DEB_PKG_LT_REVISION := $(word 2, $(subst :, $(EMPTY), $(DEB_PKG_LT_VERSION)))
DEB_PKG_LT_AGE      := $(word 3, $(subst :, $(EMPTY), $(DEB_PKG_LT_VERSION)))
DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR = \
	$(sort $(foreach var, $(DEB_VIRT_LIBTACHYON_LISTOF_VARIANT), $(firstword $(subst -, $(EMPTY), $(var)))))
#

ifneq (,$(wildcard /usr/share/mpi-default-dev/debian_defaults))
include /usr/share/mpi-default-dev/debian_defaults
DEB_ARCH_DEFAULT_MPI_IMPL = $(ARCH_DEFAULT_MPI_IMPL)
DEB_ARCH_REVLISTOF_OPENMPI ?= $(strip $(OPENMPI_AVAILABLE_ARCHITECTURES))
DEB_ARCH_REVLISTOF_MPICH ?= $(strip $(MPICH_AVAILABLE_ARCHITECTURES))
else
DEB_ARCH_DEFAULT_MPI_IMPL = mpich
DEB_ARCH_REVLISTOF_OPENMPI ?= any
DEB_ARCH_REVLISTOF_MPICH ?= any
endif

export ACLOCAL_PATH=/usr/share/gnulib/m4

## inspired from mpfr material
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else ifeq ($(DEB_HOST_ARCH),alpha)
	CFLAGS += -mieee
else ifeq ($(DEB_HOST_ARCH),sha4)
	CFLAGS += -mieee
else
	CFLAGS := $(subst -O2,-O3,$(CFLAGS))
endif

CC_mt = gcc
CC_openmpi = mpicc.openmpi
CC_mpich = mpicc.mpich

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	$(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), \
		dh_auto_configure -B _build/$(lf) -- --srcdir=../.. --with-libflavour=$(lf) CFLAGS="$(CFLAGS)" CC=$(CC_$(lf)) $(NEWLINE)\
		)

override_dh_auto_build-arch:
	$(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), dh_auto_build -a -B _build/$(lf) $(NEWLINE))

override_dh_auto_build-indep:
	$(MAKE) -C docs all

override_dh_auto_test-indep:
	true

override_dh_prep-arch:
	$(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), \
		$(foreach dhf, $(DEB_VIRT_LIBTACHYON_FLAVOUR_LISTOF_DHFILE), \
			sed \
					-e "s|@MULTIARCH@|$(DEB_HOST_MULTIARCH)|g" \
					-e "s|@LT_CURRENT@|$(DEB_PKG_LT_CURRENT)|g;s|@LT_REVISION@|$(DEB_PKG_LT_REVISION)|g;s|@LT_AGE@|$(DEB_PKG_LT_AGE)|g" \
					-e "s|@LIBFLAVOUR@|$(lf)|g" \
					-e "s|@LISTOF_LIBVARIANT@|$(filter $(lf)%, $(DEB_VIRT_LIBTACHYON_LISTOF_VARIANT))|g" \
					-e "s|@LISTOF_LIBVARIANTSONAME@|$(addsuffix $(DEB_PKG_LT_CURRENT), $(addprefix libtachyon-, $(filter $(lf)%, $(DEB_VIRT_LIBTACHYON_LISTOF_VARIANT))))|g" \
					-e "/##CaseTableOfLibraryPriorities##/r debian/templates/libtachyon-LIBFLAVOUR-casetableof_priority.rin" \
					-e "/##CaseTableOfLibraryPriorities##/d" \
				debian/templates/libtachyon-LIBFLAVOUR$(dhf).in > debian/libtachyon-$(lf)-$(DEB_PKG_LT_CURRENT)$(dhf) $(NEWLINE)\
			) \
		)
	$(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), \
		$(foreach lv, $(filter $(lf)%, $(DEB_VIRT_LIBTACHYON_LISTOF_VARIANT)), \
			$(foreach dhf, $(DEB_VIRT_LIBTACHYON_VARIANT_LISTOF_DHFILE), \
				sed \
						-e "s|@MULTIARCH@|$(DEB_HOST_MULTIARCH)|g" \
						-e "s|@LT_CURRENT@|$(DEB_PKG_LT_CURRENT)|g;s|@LT_REVISION@|$(DEB_PKG_LT_REVISION)|g;s|@LT_AGE@|$(DEB_PKG_LT_AGE)|g" \
						-e "s|@LIBFLAVOUR@|$(lf)|g" \
						-e "s|@LIBVARIANT@|$(lv)|g" \
					debian/templates/libtachyon-LIBVARIANT$(dhf).in >> debian/libtachyon-$(lf)-$(DEB_PKG_LT_CURRENT)$(dhf) $(NEWLINE)\
				) \
			) \
		)
	$(foreach vt, $(DEB_VIRT_TACHYON_LISTOF_VARIANT), \
		$(foreach dhf, $(DEB_VIRT_TACHYON_LISTOF_DHFILE), \
			sed -e "s|@VARIANT@|$(vt)|g" \
				debian/templates/tachyon-bin-VARIANT$(dhf).in > debian/tachyon-bin-$(vt)$(dhf) $(NEWLINE)\
			) \
		)
	dh_prep -a

DEB_ADHOC_SCENES_ACTION_SH := debian/adhoc/scenes/action.sh
override_dh_prep-indep:
	sed -e "s+@DEB_VIRT_TACHYON_LISTOF_VARIANT@+$(subst $(EMPTY),\|,$(strip $(DEB_VIRT_TACHYON_LISTOF_VARIANT)))+" \
		$(DEB_ADHOC_SCENES_ACTION_SH).in > $(DEB_ADHOC_SCENES_ACTION_SH)
	chmod --reference $(DEB_ADHOC_SCENES_ACTION_SH).in $(DEB_ADHOC_SCENES_ACTION_SH)
	dh_prep -i

override_dh_auto_install-arch:
	$(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), dh_auto_install -a -B _build/$(lf) $(NEWLINE))

DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	$(MAKE) -C _build/$(lastword $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR))/src install-data-am $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C docs install $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C pkgextra/volpack/data install $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C pkgextra/virtual-reality/graphics install $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_shlibdeps-arch:
	dh_shlibdeps -a -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) -- --ignore-missing-info

DEB_VARNAME_LIBTACHYON_MPI_DEFAULT_DEV := default:libtachyon-mpi-dev
override_dh_gencontrol:
	dh_gencontrol -- -V$(DEB_VARNAME_LIBTACHYON_MPI_DEFAULT_DEV)=libtachyon-$(DEB_ARCH_DEFAULT_MPI_IMPL)-$(DEB_PKG_LT_CURRENT)-dev

override_dh_auto_clean-arch:
	dh_auto_clean -a
	rm -rf _build
	rm -f config_tachyon.h.in
	rm -f $(foreach vt, $(DEB_VIRT_TACHYON_LISTOF_VARIANT), $(foreach dhf, $(DEB_VIRT_TACHYON_LISTOF_DHFILE), debian/tachyon-bin-$(vt)$(dhf) ))
	rm -f $(foreach lf, $(DEB_VIRT_LIBTACHYON_LISTOF_FLAVOUR), $(foreach dhf, $(DEB_VIRT_LIBTACHYON_FLAVOUR_LISTOF_DHFILE), debian/libtachyon-$(lf)-$(DEB_PKG_LT_CURRENT)$(dhf) ))

override_dh_auto_clean-indep:
	dh_auto_clean -i
	rm -f $(DEB_ADHOC_SCENES_ACTION_SH)
	$(MAKE) -C docs clean
	$(MAKE) -C docs distclean || true
	$(MAKE) -C pkgextra/volpack/data distclean || true
	$(MAKE) -C pkgextra/virtual-reality/graphics distclean || true

update-debian-control: debian/templates/control.in debian/rules debian/templates/control-description-mainpart.rin
	sed \
			-e "s|@LT_CURRENT@|$(DEB_PKG_LT_CURRENT)|g" \
			-e "s|@LIBTACHYON_MPI_DEFAULT_DEV@|$(DEB_VARNAME_LIBTACHYON_MPI_DEFAULT_DEV)|g" \
			-e "s|@ARCH_REVLISTOF_OPENMPI@|$(DEB_ARCH_REVLISTOF_OPENMPI)|g" \
			-e "s|@ARCH_REVLISTOF_MPICH@|$(DEB_ARCH_REVLISTOF_MPICH)|g" \
			-e "s|@SYNOPSIS_LIBRARY@|Parallel/Multiprocessor Ray Tracing Library|g" \
			-e "s|@SYNOPSIS_TOOLS@|Parallel/Multiprocessor Standalone Ray Tracer|g" \
			-e "s|@SYNOPSIS_MANUAL@|Parallel/Multiprocessor Ray Tracing System|g" \
			-e "/##DescriptionMainPart##/r $(lastword $^)" \
			-e "/##DescriptionMainPart##/d" \
		$< > debian/control


define NEWLINE


endef

EMPTY :=
EMPTY +=

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dsx?//,uversionmangle=s/b/~b/ \
http://jedi.ks.uiuc.edu/~johns/raytracer/files/(\d+\.\d+|\d+\.\d+b\d+)/tachyon-(\d+\.\d+|\d+\.\d+b\d+)\.tar\.gz \
debian bash debian/repack
